/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

/**
 * OASIS XLIFF の翻訳ユニット・ターゲットをあらわすバリューオブジェクト。
 */
public class BlancoXliffTransUnitTarget {
    /**
     * フィールド [lang]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["ja-JP"]<br>
     * ターゲット言語。
     */
    private String fLang = "ja-JP";

    /**
     * フィールド [target]
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳後文字列。
     */
    private String fTarget;

    /**
     * フィールド [lang]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ターゲット言語。
     *
     * @param argLang フィールド[lang]に格納したい値
     */
    public void setLang(final String argLang) {
        fLang = argLang;
    }

    /**
     * フィールド[lang]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["ja-JP"]<br>
     * ターゲット言語。
     *
     * @return フィールド[lang]に格納されている値
     */
    public String getLang() {
        return fLang;
    }

    /**
     * フィールド [target]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳後文字列。
     *
     * @param argTarget フィールド[target]に格納したい値
     */
    public void setTarget(final String argTarget) {
        fTarget = argTarget;
    }

    /**
     * フィールド[target]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳後文字列。
     *
     * @return フィールド[target]に格納されている値
     */
    public String getTarget() {
        return fTarget;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliffTransUnitTarget[");
        buf.append("lang=" + fLang);
        buf.append(",target=" + fTarget);
        buf.append("]");
        return buf.toString();
    }
}
